Sitecore Experience Commerce compatibility for Sitecore XC 9.0—10.2


Overview

This article provides information about Sitecore Experience Commerce compatibility in the following areas:

Note that Sitecore Experience Commerce is no longer supported starting from Sitecore Experience Platform 10.4. For more details refer to Sitecore Experience Commerce and Deprecated features in XP 10.4.

System compatibility

The following table displays the compatibility of Sitecore Experience Commerce with different browsers, operating systems, .NET frameworks, and database servers: 

  XC 9.0.0 XC 9.0.1 XC 9.0.2 XC 9.0.3 XC 9.1 XC 9.2 XC 9.3 XC 10.0 XC 10.1 XC 10.2 XC 10.3
Client Browser
Microsoft Edge [1] [1]
Internet Explorer 11 [1] [1] [1] [4] - - - -
Internet Explorer 10 - - - - - - - - - - -
Internet Explorer 9 - - - - - - - - - - -
Mozilla Firefox
Google Chrome
Apple Safari [1] [1]
Operating System
Windows Server 2022 - - - - - - - - - -
Windows Server 2019 - - - - -
Windows Server 2016 -
Windows Server 2012 R2 - - - - - - - - - - -
Windows Server 2012 - - - - - - - - - - -
Windows 11 - - - - - - - - - -
Windows 10
Windows 8.1 - - - - - - -
Windows 8 - - - - - - - - - - -
.NET Framework
.NET 4.8 - - - - - -
.NET 4.7.2 - - - - - -
.NET 4.7.1 - - - - -
.NET 4.7 - - - - - - -
.NET 4.6.2 - - - - - - -
.NET 4.6.1 - - - - - - - - - - -
.NET 5.0.x - - - - - - - - - - -
ASP.NET MVC
ASP.NET MVC 5.2
ASP.NET MVC 5.1 - - - - - - - - - - -
ASP.NET Core
.NET 6 - - - - - - - - - -
ASP.NET Core 3.1 - - - - - - - -
ASP.NET Core 2.1 - - - - - - - -
ASP.NET Core 2.0 - - - - - - -
Database Server  
MS Azure SQL
MS SQL 2019 - - - - - -
MS SQL 2017 - - - -
MS SQL 2016 SP2 - - - - - - - -
MS SQL 2016 SP1 - - - - - - -
MS SQL 2012 - - - - - - - - - - -
Windows PowerShell
PowerShell 5.1 or later [5] [5] [5]
Search provider
Solr 8.11.2 - - - - - - - - - -
Solr 8.8.2 - - - - - - - - - -
Solr 8.4.0 - - - - - - - - -
Solr 8.1.1 - - - - - - - - - -
Solr 7.5.0 - - - - - - - - - -
Solr 7.2.1 - - - - - - - - -
Solr 6.6.2 - - - - - - -
SolrCloud - - -
Azure Search - - -
Caching
Redis (Linux) 4.0.9 or later [7] - - - - - -
Redis (Azure) 4.0.14 or later [7] - - - - - -
Redis (Azure) 3.2.7 - - - - - - - - - -
Redis (Windows) 3.0.504 or later [7] - - - - -
Newtonsoft Json.NET
Newtonsoft Json.Net 13.0.1 - - - - - - - - -
Newtonsoft Json.Net 12.0.1 - - - - - - - - -
Newtonsoft Json.Net 11.0.2 - - - - - - - - - -
OData
OData 7.5 - - - - - - -
OData 6.19.0 - - - - - - - - -
Visual Studio
Visual Studio 2022 - - - - - - - - - -
Visual Studio 2019 - - - - [2] [2] [2]
Visual Studio 2017 - - - - - - -


Legend: "-" – not supported; "✓" – supported.

Sitecore XP and modules compatibility

The following table shows Sitecore XP and modules compatibility with different versions of Sitecore Experience Commerce:

  XC 9.0.0 XC 9.0.1 XC 9.0.2 XC 9.0.3 XC 9.1 XC 9.2 XC 9.3 XC 10.0 XC 10.1 XC 10.2 XC 10.3
Sitecore XP
XP 9.0 Initial - - - - - - - - - - -
Upd-1 - - - - - - - - -
Upd-2 - - - - - - - - -
XP 9.1 Initial - - - - - - - - - - -
Upd-1 - - - - - - - - - -
XP 9.2 Initial - - - - - - - - - -
XP 9.3 Initial - - - - - - - - - -
XP 10.0 Initial - - - - - - - - - -
 Upd-1 - - - - - - -  [3] - - -
 Upd-2 - - - - - - -  [3] - - -
 Upd-3 - - - - - - -  [6] - - -
XP 10.1 Initial - - - - - - - - - -
 Upd-1 - - - - - - - -  [3] - -
 Upd-2 - - - - - - - -  [6] - -
Upd-3 - - - - -  - - - - -
XP 10.2 - - - - - - - - - -
XP 10.3 - - - - - - - - - -
Sitecore Experience Accelerator
SXA 1.6 - - - - - - - - -
SXA 1.7.1 - - - - - - - - - -
SXA 1.8 - - - - - - - - - -
SXA 1.8.1 - - - - - - - - - -
SXA 1.9 - - - - - - - - - -
SXA 9.3.0 - - - - - - [4] - - - -
SXA 10.0 - - - - - - - - - -
SXA 10.1 - - - - - - - - - -
SXA 10.2 - - - - - - - - - -
SXA 10.3 - - - - - - - - - -
Sitecore PowerShell Extensions
SPE 4.7.0 - - - - - - - - - - -
SPE 4.7.2 - - - - - -
SPE 5.0 - - - - - - - - - -
SPE 6.0 - - - - - - - - - -
SPE 6.1 - - - - - - - - - -
SPE 6.2 - - - - - - - - - -
SPE 6.3 - - - - - - - - - -
SPE 6.4 - - - - - - - - - -


Legend: "-" – not supported; "✓" – supported.

Notes